Package org.eclipse.viatra.query.runtime.localsearch.plan

## Class SearchPlanForBody

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.plan.SearchPlanForBody

-     public class SearchPlanForBody
      extends java.lang.Object

  This class is responsible for storing the results of the planner and operation compiler for a selected body.
  Since:
    2.0
  No Instantiate:
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SearchPlanForBody​(PBody body, java.util.Map<PVariable,​java.lang.Integer> variableKeys, SubPlan plan, java.util.List<ISearchOperation> compiledOperations, java.util.Collection<CallWithAdornment> dependencies, java.lang.Object internalRepresentation, double cost)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TupleMask` | `calculateParameterMask()` |
    `PBody` | `getBody()` |
    `java.util.List<ISearchOperation>` | `getCompiledOperations()` |
    `double` | `getCost()` |
    `java.util.Collection<CallWithAdornment>` | `getDependencies()` |
    `java.lang.Object` | `getInternalRepresentation()` |
    `int[]` | `getParameterKeys()` |
    `SubPlan` | `getPlan()` |
    `java.util.Map<PVariable,​java.lang.Integer>` | `getVariableKeys()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchPlanForBody

          public SearchPlanForBody​(PBody body,
                                   java.util.Map<PVariable,​java.lang.Integer> variableKeys,
                                   SubPlan plan,
                                   java.util.List<ISearchOperation> compiledOperations,
                                   java.util.Collection<CallWithAdornment> dependencies,
                                   java.lang.Object internalRepresentation,
                                   double cost)

      Since:
        2.1

  - ### Method Detail

    - #### getBody

          public PBody getBody()

    - #### getVariableKeys

          public java.util.Map<PVariable,​java.lang.Integer> getVariableKeys()

    - #### getParameterKeys

          public int[] getParameterKeys()

    - #### getCompiledOperations

          public java.util.List<ISearchOperation> getCompiledOperations()

    - #### getPlan

          public SubPlan getPlan()

    - #### getDependencies

          public java.util.Collection<CallWithAdornment> getDependencies()

    - #### calculateParameterMask

          public TupleMask calculateParameterMask()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCost

          public double getCost()

      Since:
        2.1

    - #### getInternalRepresentation

          public java.lang.Object getInternalRepresentation()

      Returns:
        The internal representation of the search plan, if any, for traceability
      Since:
        2.1